npm @storybook/addon-knobs 3.4.0-alpha.9
on Node.js NPM

2018-February-22

Features

  • Addon-storysource: story source in addon pane #2885

Bug Fixes

  • Fix problem with RN on latest master build #3045

Documentation

  • Revisit addon/framework support #3046
  • Docs live examples #3019
  • Mention new supported frameworks #2895

Maintenance

  • Use core client api in react native #3036
  • Optimize CI workflow #3016
  • Integration tests: wait until stories appear #3027
  • Add netlify for polymer #3004
  • Add built storybooks to official storybook #2958

Dependency Upgrades



169 Updates
  • Upgraded @storybook/addon-actions in /docs from “3.3.13” to “3.3.14” #3051
  • Upgraded @storybook/addon-links in /docs from “3.3.13” to “3.3.14” #3051
  • Upgraded @storybook/addons in /docs from “3.3.13” to “3.3.14” #3051
  • Upgraded @storybook/react in /docs from “3.3.13” to “3.3.14” #3051
  • Upgraded gatsby-source-filesystem in /docs from “1.5.20” to “1.5.21” #3051
  • Upgraded gatsby in /docs from “1.9.203” to “1.9.204” #3051
  • Upgraded marked in /docs from “0.3.15” to “0.3.16” #3051
  • Upgraded eslint in / from “4.18.0” to “4.18.1” #3050
  • Upgraded jscodeshift in lib/codemod from “0.4.0” to “0.4.1” #3050
  • Upgraded file-loader in app/react from “1.1.7” to “1.1.8” #3050
  • Upgraded marked in addons/notes from “0.3.15” to “0.3.16” #3050
  • Upgraded react-modal in lib/ui from “3.2.1” to “3.3.1” #3050
  • Upgraded file-loader in lib/core from “1.1.7” to “1.1.8” #3050
  • Upgraded file-loader in app/angular from “1.1.7” to “1.1.8” #3050
  • Upgraded react-modal in app/angular from “3.2.1” to “3.3.1” #3050
  • Upgraded ts-loader in app/angular from “3.3.1” to “3.5.0” #3050
  • Upgraded file-loader in app/polymer from “1.1.7” to “1.1.8” #3050
  • Upgraded react-modal in app/polymer from “3.2.1” to “3.3.1” #3050
  • Upgraded file-loader in app/react-native from “1.1.7” to “1.1.8” #3050
  • Upgraded file-loader in app/vue from “1.1.7” to “1.1.8” #3050
  • Upgraded vue-hot-reload-api in app/vue from “2.2.4” to “2.3.0” #3050
  • Upgraded jscodeshift in lib/cli from “0.4.0” to “0.4.1” #3050
  • Upgraded file-loader in examples/vue-kitchen-sink from “1.1.7” to “1.1.8” #3050
  • Upgraded vue-hot-reload-api in examples/vue-kitchen-sink from “2.2.4” to “2.3.0” #3050
  • Upgraded babel-eslint in / from “8.2.1” to “8.2.2” #3041
  • Upgraded jest in / from “22.3.0” to “22.4.0” #3041
  • Upgraded jest-cli in / from “22.3.0” to “22.4.0” #3041
  • Upgraded jest-config in / from “22.3.0” to “22.4.0” #3041
  • Upgraded jest-diff in / from “22.1.0” to “22.4.0” #3041
  • Upgraded jest-environment-jsdom in / from “22.3.0” to “22.4.0” #3041
  • Upgraded jest-jasmine2 in / from “22.3.0” to “22.4.0” #3041
  • Upgraded babel-jest in addons/storyshots from “22.1.0” to “22.4.0” #3041
  • Upgraded jest in addons/storyshots from “22.3.0” to “22.4.0” #3041
  • Upgraded jest-cli in addons/storyshots from “22.3.0” to “22.4.0” #3041
  • Upgraded babel-jest in examples/cra-kitchen-sink from “22.2.2” to “22.4.0” #3041
  • Upgraded jest in examples/cra-kitchen-sink from “22.3.0” to “22.4.0” #3041
  • Upgraded babel-jest in examples/official-storybook from “22.1.0” to “22.4.0” #3041
  • Upgraded jest in examples/official-storybook from “22.3.0” to “22.4.0” #3041
  • Addon-storyshots: upgrade puppeteer to 1.0.0 #2853
  • App-angular: upgrade ts-loader to 3.3.1 #2855
  • Update cross-spawn in lib/cli from 6.0.3 to 6.0.4 #3039
  • Update eslint-plugin-react in / from 7.6.1 to 7.7.0 #3037
  • CLI: upgrade cross-spawn to 6.0.3 #2854
  • Update gatsby in /docs from 1.9.202 to 1.9.203 #3034
  • Upgraded gatsby-plugin-sharp in /docs from “1.6.30” to “1.6.31” #3030
  • Upgraded gatsby-remark-images in /docs from “1.5.46” to “1.5.47” #3030
  • Upgraded gatsby-transformer-remark in /docs from “1.7.32” to “1.7.33” #3030
  • Upgraded nodemon in / from “1.15.0” to “1.15.1” #3028
  • Upgraded file-loader in app/react from “1.1.6” to “1.1.7” #3028
  • Upgraded nodemon in app/react from “1.15.0” to “1.15.1” #3028
  • Upgraded file-loader in lib/core from “1.1.6” to “1.1.7” #3028
  • Upgraded file-loader in app/angular from “1.1.6” to “1.1.7” #3028
  • Upgraded nodemon in app/angular from “1.15.0” to “1.15.1” #3028
  • Upgraded file-loader in app/polymer from “1.1.6” to “1.1.7” #3028
  • Upgraded nodemon in app/polymer from “1.15.0” to “1.15.1” #3028
  • Upgraded file-loader in app/react-native from “1.1.6” to “1.1.7” #3028
  • Upgraded file-loader in app/vue from “1.1.6” to “1.1.7” #3028
  • Upgraded nodemon in app/vue from “1.15.0” to “1.15.1” #3028
  • Upgraded file-loader in examples/vue-kitchen-sink from “1.1.6” to “1.1.7” #3028
  • Update marked in /docs from 0.3.14 to 0.3.15 #3021
  • Core: upgrade dotenv to 5.0.0 #2878
  • Update acorn-stage3 in addons/storysource from 0.4.0 to 0.5.0 #3014
  • Update gatsby in /docs from 1.9.201 to 1.9.202 #3012
  • Update marked in addons/notes from 0.3.12 to 0.3.14 #3015
  • Upgraded danger in / from “3.1.6” to “3.1.7” #3013
  • Upgraded eslint-plugin-jest in / from “21.12.1” to “21.12.2” #3013
  • Upgraded glamorous in lib/components from “4.11.5” to “4.11.6” #3009
  • Upgraded glamorous in addons/a11y from “4.11.5” to “4.11.6” #3009
  • Upgraded glamorous in addons/info from “4.11.5” to “4.11.6” #3009
  • Upgraded glamorous in addons/jest from “4.11.5” to “4.11.6” #3009
  • Upgraded glamorous in app/react from “4.11.5” to “4.11.6” #3009
  • Upgraded glamorous in examples/cra-kitchen-sink from “4.11.5” to “4.11.6” #3009
  • Upgraded gatsby-plugin-sharp in /docs from “1.6.29” to “1.6.30” #3008
  • Upgraded gatsby-remark-images in /docs from “1.5.45” to “1.5.46” #3008
  • Upgraded eslint in / from “4.17.0” to “4.18.0” #3006
  • Upgraded uglifyjs-webpack-plugin in app/angular from “1.1.8” to “1.2.0” #3006
  • Upgraded uglifyjs-webpack-plugin in app/polymer from “1.1.8” to “1.2.0” #3006
  • Upgraded uglifyjs-webpack-plugin in app/react-native from “1.1.8” to “1.2.0” #3006
  • Upgraded uglifyjs-webpack-plugin in app/react from “1.1.8” to “1.2.0” #3006
  • Upgraded uglifyjs-webpack-plugin in app/vue from “1.1.8” to “1.2.0” #3006
  • Upgraded gatsby-plugin-sharp in /docs from “1.6.28” to “1.6.29” #3005
  • Upgraded gatsby-remark-images in /docs from “1.5.44” to “1.5.45” #3005
  • Upgraded gatsby-source-filesystem in /docs from “1.5.19” to “1.5.20” #3005
  • Upgraded gatsby in /docs from “1.9.200” to “1.9.201” #3005
  • Upgraded lint-staged in / from “6.1.0” to “6.1.1” #3003
  • Upgraded nodemon in / from “1.14.12” to “1.15.0” #3003
  • Upgraded puppeteer in / from “1.0.0” to “1.1.0” #3003
  • Upgraded typescript in / from “2.7.1” to “2.7.2” #3003
  • Upgraded graphql in addons/graphql from “0.13.0” to “0.13.1” #3003
  • Upgraded style-loader in addons/knobs from “0.20.1” to “0.20.2” #3003
  • Upgraded glamorous in lib/components from “4.11.4” to “4.11.5” #3003
  • Upgraded glamorous in addons/a11y from “4.11.4” to “4.11.5” #3003
  • Upgraded glamorous in addons/info from “4.11.4” to “4.11.5” #3003
  • Upgraded glamorous in addons/jest from “4.11.4” to “4.11.5” #3003
  • Upgraded style-loader in lib/core from “0.20.1” to “0.20.2” #3003
  • Upgraded style-loader in app/angular from “0.20.1” to “0.20.2” #3003
  • Upgraded nodemon in app/angular from “1.14.12” to “1.15.0” #3003
  • Upgraded typescript in app/angular from “2.7.1” to “2.7.2” #3003
  • Upgraded style-loader in app/polymer from “0.20.1” to “0.20.2” #3003
  • Upgraded nodemon in app/polymer from “1.14.12” to “1.15.0” #3003
  • Upgraded style-loader in app/react-native from “0.20.1” to “0.20.2” #3003
  • Upgraded glamorous in app/react from “4.11.4” to “4.11.5” #3003
  • Upgraded style-loader in app/react from “0.20.1” to “0.20.2” #3003
  • Upgraded nodemon in app/react from “1.14.12” to “1.15.0” #3003
  • Upgraded style-loader in app/vue from “0.20.1” to “0.20.2” #3003
  • Upgraded nodemon in app/vue from “1.14.12” to “1.15.0” #3003
  • Upgraded @angular/cli in examples/angular-cli from “1.6.8” to “1.7.0” #3003
  • Upgraded typescript in examples/angular-cli from “2.7.1” to “2.7.2” #3003
  • Upgraded glamorous in examples/cra-kitchen-sink from “4.11.4” to “4.11.5” #3003
  • Update gatsby in /docs from 1.9.199 to 1.9.200 #3001
  • Update marked in /docs from 0.3.12 to 0.3.14 #2999
  • Upgraded react-modal in lib/ui from “3.1.13” to “3.2.1” #2992
  • Upgraded react-modal in app/angular from “3.1.13” to “3.2.1” #2992
  • Upgraded react-modal in app/polymer from “3.1.13” to “3.2.1” #2992
  • Update 8 dependencies from npm #2978
  • Update make-error in addons/actions from 1.3.3 to 1.3.4 #2991
  • Update 2 dependencies from npm #2712
  • Update tslint-config-prettier in / from 1.7.0 to 1.8.0 #2990
  • Update lerna in / from 2.8.0 to 2.9.0 #2987
  • Update eslint-plugin-react in / from “7.6.0” to “7.6.1” #2864
  • Upgraded @angular/common in / from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/compiler in / from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/core in / from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/forms in / from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/platform-browser in / from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/platform-browser-dynamic in / from “5.2.4” to “5.2.5” #2986
  • Upgraded jest in / from “22.2.1” to “22.3.0” #2986
  • Upgraded jest-cli in / from “22.2.2” to “22.3.0” #2986
  • Upgraded jest-config in / from “22.2.2” to “22.3.0” #2986
  • Upgraded jest-environment-jsdom in / from “22.2.2” to “22.3.0” #2986
  • Upgraded jest-jasmine2 in / from “22.2.2” to “22.3.0” #2986
  • Upgraded jest in addons/storyshots from “22.1.4” to “22.3.0” #2986
  • Upgraded jest-cli in addons/storyshots from “22.1.4” to “22.3.0” #2986
  • Upgraded @angular/animations in examples/angular-cli from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/common in examples/angular-cli from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/compiler in examples/angular-cli from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/core in examples/angular-cli from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/forms in examples/angular-cli from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/http in examples/angular-cli from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/platform-browser in examples/angular-cli from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/platform-browser-dynamic in examples/angular-cli from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/router in examples/angular-cli from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/compiler-cli in examples/angular-cli from “5.2.4” to “5.2.5” #2986
  • Upgraded @angular/language-service in examples/angular-cli from “5.2.4” to “5.2.5” #2986
  • Upgraded @types/node in examples/angular-cli from “9.4.5” to “9.4.6” #2986
  • Upgraded jest in examples/cra-kitchen-sink from “22.2.2” to “22.3.0” #2986
  • Upgraded jest in examples/official-storybook from “22.1.4” to “22.3.0” #2986
  • Update gatsby in /docs from 1.9.198 to 1.9.199 #2988
  • Update gatsby in /docs from 1.9.197 to 1.9.198 #2985
  • Update gatsby in /docs from 1.9.193 to 1.9.197 #2983
  • Upgraded danger in / from “3.1.3” to “3.1.6” #2977
  • Upgraded eslint-plugin-jest in / from “21.12.0” to “21.12.1” #2977
  • Upgraded inquirer in / from “5.0.1” to “5.1.0” #2977
  • Upgraded react-fuzzy in lib/ui from “0.5.1” to “0.5.2” #2977
  • Upgraded @types/node in examples/angular-cli from “9.4.0” to “9.4.5” #2977
  • Upgraded babel-preset-vue in examples/vue-kitchen-sink from “2.0.0” to “2.0.1” #2977
  • Update gatsby in /docs from 1.9.188 to 1.9.193 #2973
  • Upgraded eslint-plugin-jest in / from “21.8.0” to “21.12.0” #2975
  • Upgraded ts-jest in / from “22.0.3” to “22.0.4” #2975
  • Upgraded react-datetime in addons/knobs from “2.13.0” to “2.14.0” #2975
  • Upgraded @storybook/addon-actions in /docs from “3.3.12” to “3.3.13” #2960
  • Upgraded @storybook/addon-links in /docs from “3.3.12” to “3.3.13” #2960
  • Upgraded @storybook/addons in /docs from “3.3.12” to “3.3.13” #2960
  • Upgraded @storybook/react in /docs from “3.3.12” to “3.3.13” #2960
  • Upgraded chalk in / from “2.3.0” to “2.3.1” #2961
  • Upgraded chalk in lib/node-logger from “2.3.0” to “2.3.1” #2961
  • Upgraded react-split-pane in lib/ui from “0.1.76” to “0.1.77” #2961
  • Upgraded chalk in lib/core from “2.3.0” to “2.3.1” #2961
  • Upgraded chalk in lib/cli from “2.3.0” to “2.3.1” #2961

2 years ago